<?php
$hostname = 'https://cetakrapor.smkbpm.sch.id';
$outputFolder = './';

$allUrls = [];
for ($i = 1; $i <= 6; $i++) {
    $file = "data{$i}_urls.json";
    if (file_exists($file)) {
        $urls = json_decode(file_get_contents($file), true);
        if (is_array($urls)) {
            $allUrls = array_merge($allUrls, $urls);
        }
    }
}

$date = date('Y-m-d');
$xml = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
$xml .= "<urlset xmlns=\"http://www.sitemaps.org/schemas/sitemap/0.9\">\n";
foreach ($allUrls as $url) {
    $xml .= "  <url>\n";
    $xml .= "    <loc>$url</loc>\n";
    $xml .= "    <lastmod>$date</lastmod>\n";
    $xml .= "    <changefreq>daily</changefreq>\n";
    $xml .= "    <priority>1.0</priority>\n";
    $xml .= "  </url>\n";
}
$xml .= "</urlset>";
file_put_contents($outputFolder . 'sitemap.xml', $xml);

// Robots.txt
$robots = "User-agent: *\nAllow: /\nSitemap: $hostname/sitemap.xml";
file_put_contents($outputFolder . 'robots.txt', $robots);

echo "📦 Sitemap & robots.txt dibuat dari semua data1–data6.";
?>
